import { financial,User } from '@/api'

import request from '@/utils/require'

//部门预算--分页list
export function sysCwModelsGetList(data) {
    return request({
        url: `${financial}/sysCwModels/getList/${data.page}/${data.size}`,
        method: 'get',
        params: data
    })
}
//部门预算--保存修改
export function sysCwModelsSaveOrUpdate(data,operateName) {
    return request({
        url: `${financial}/sysCwModels/saveOrUpdate?operateName=${operateName}`,
        method: 'post',
        data: data
    })
}
//部门预算--详情
export function sysCwModelsFindByParmary(data) {
    return request({
        url: `${financial}/sysCwModels/findByParmary?id=${data.id}`,
        method: 'get'
    })
}
//导出word /sysCwModels/exportWord
export function sysCwModelsExportWord(data) {
    return request({
        url: `${financial}/sysCwModels/exportWord`,
        method: 'post',
		responseType: "blob",
        params:data
    })
}
//删除

export function sysCwModelsRemove(data) {
    return request({
        url: `${financial}/sysCwModels/removeSysCwModels`,
        method: 'post',
		params:data
    })
}
//获取部门列表

export function findByOrgCode(data) {
    return request({
        url: `${User}/department/findByOrgCode`,
        method: 'get',
		params:data
    })
}